<?php
/*
 * @component ZoneNationsPay
 * @copyright Copyright (C) 2023 Druskus ZoneNations https://zonentions.com
 * @license GNU/GPL v2 http://www.gnu.org/licenses/gpl-2.0.html
 */
defined( '_JEXEC' ) or die( 'Restricted access' );
 
jimport('joomla.application.component.controller');
 


class ZoneNationsPayController extends JControllerLegacy {
	var $model;
	/**
	 * Method to display the view
	 *
	 * @access    public
	 */
	public function __construct() {
		parent::__construct();
		if(!defined('COM_ZONENATIONSPAY_INWORLD_CURRENCYNAME')) {
			$this->model	= $this->getModel('zonenationspay');
			$money			= $this->model->getMoneySettings();
			$params			= $this->model->getParams();
			$noadd			= JFactory::getApplication()->input->get('noadd');
			if($params->get('sandboxmode') && $noadd == 0) {
				JFactory::getApplication()->enqueueMessage(JText::_('COM_ZONENATIONSPAY_SANDBOXMODE'),'notice');
			}
			if(array_key_exists("name",$money) && $money['name']) define('COM_ZONENATIONSPAY_INWORLD_CURRENCYNAME',$money['name']);
		}
	}

	public function display($cachable = false, $urlparams = array()) {
		$view	= JFactory::getApplication()->input->get('view');
		$this->zonenationspaymenue($view);
		parent::display();
	}

	public function changepayout() {
		$result		= $this->model->changePayout();
		$redirect	= "index.php?option=com_zonenationspay&view=payout&noadd=1";
		$this->setRedirect($redirect,$result['message'],$result['type']);
	}

	public function zonenationspaymenue($vName) {
		$view				= JFactory::getApplication()->input->get('view');
		JHtmlSidebar::addEntry(JText::_('COM_ZONENATIONSPAY_MENU_OVERVIEW'), 'index.php?option=com_zonenationspay',$vName == 'zonenationspay');
		JHtmlSidebar::addEntry(JText::_('COM_ZONENATIONSPAY_MENU_TRANSACTIONS'), 'index.php?option=com_zonenationspay&view=transactions',$vName == 'transactions');
		JHtmlSidebar::addEntry(JText::_('COM_ZONENATIONSPAY_MENU_PAYOUT'), 'index.php?option=com_zonenationspay&view=payout',$vName == 'payout');
		JHtmlSidebar::addEntry(JText::_('COM_ZONENATIONSPAY_MENU_REGIONRENT'), 'index.php?option=com_zonenationspay&view=regionrent',$vName == 'regionrent');
	}

	public function zonenationsmenue() {
		$view	= JFactory::getApplication()->input->get('view');
		
		switch($view) {
			case "transactions":
				JSubMenuHelper::addEntry(JText::_('COM_ZONENATIONSPAY_MENU_OVERVIEW'), 'index.php?option=com_zonenationspay&view=zonenationspay');
				JSubMenuHelper::addEntry(JText::_('COM_ZONENATIONSPAY_MENU_TRANSACTIONS'), 'index.php?option=com_zonenationspay&view=transactions',true);
				JSubMenuHelper::addEntry(JText::_('COM_ZONENATIONSPAY_MENU_PAYOUT'), 'index.php?option=com_zonenationspay&view=payout');
				JSubMenuHelper::addEntry(JText::_('COM_ZONENATIONSPAY_MENU_REGIONRENT'), 'index.php?option=com_zonenationspay&view=regionrent');
			break;
			case "payout":
				JSubMenuHelper::addEntry(JText::_('COM_ZONENATIONSPAY_MENU_OVERVIEW'), 'index.php?option=com_zonenationspay&view=zonenationspay');
				JSubMenuHelper::addEntry(JText::_('COM_ZONENATIONSPAY_MENU_TRANSACTIONS'), 'index.php?option=com_zonenationspay&view=transactions');
				JSubMenuHelper::addEntry(JText::_('COM_ZONENATIONSPAY_MENU_PAYOUT'), 'index.php?option=com_zonenationspay&view=payout',true);
				JSubMenuHelper::addEntry(JText::_('COM_ZONENATIONSPAY_MENU_REGIONRENT'), 'index.php?option=com_zonenationspay&view=regionrent');
			break;
			case "regionrent":
				JSubMenuHelper::addEntry(JText::_('COM_ZONENATIONSPAY_MENU_OVERVIEW'), 'index.php?option=com_zonenationspay&view=zonenationspay');
				JSubMenuHelper::addEntry(JText::_('COM_ZONENATIONSPAY_MENU_TRANSACTIONS'), 'index.php?option=com_zonenationspay&view=transactions');
				JSubMenuHelper::addEntry(JText::_('COM_ZONENATIONSPAY_MENU_PAYOUT'), 'index.php?option=com_zonenationspay&view=payout');
				JSubMenuHelper::addEntry(JText::_('COM_ZONENATIONSPAY_MENU_REGIONRENT'), 'index.php?option=com_zonenationspay&view=regionrent',true);
			break;
			default:
				JSubMenuHelper::addEntry(JText::_('COM_ZONENATIONSPAY_MENU_OVERVIEW'), 'index.php?option=com_zonenationspay&view=zonenationspay',true);
				JSubMenuHelper::addEntry(JText::_('COM_ZONENATIONSPAY_MENU_TRANSACTIONS'), 'index.php?option=com_zonenationspay&view=transactions');
				JSubMenuHelper::addEntry(JText::_('COM_ZONENATIONSPAY_MENU_PAYOUT'), 'index.php?option=com_zonenationspay&view=payout');
				JSubMenuHelper::addEntry(JText::_('COM_ZONENATIONSPAY_MENU_REGIONRENT'), 'index.php?option=com_zonenationspay&view=regionrent');
			break;
		}
	}

}