<?php
/**
 * @component ZoneNationsPay Component
 * @copyright Copyright (C) 2023 Druskus ZoneNations https://www.zonenations.com
 * @license GNU General Public License version 2 or later
 */

defined('_JEXEC') or die;

use Joomla\CMS\Form\FormField;
use Joomla\CMS\Language\Text;
use Joomla\CMS\Component\ComponentHelper;

class JFormFieldZoneNationsPayLogFileNote extends FormField
{
    protected $type = 'zonenationspaylogfilenote';

    protected function getInput()
    {
        return '';
    }

    protected function getLabel()
    {
        $logpath = ComponentHelper::getParams('com_zonenationspay')->get('logpath');
        if (substr($logpath, -1) != DIRECTORY_SEPARATOR) {
            $logpath .= DIRECTORY_SEPARATOR;
        }
        $logfile = $logpath . "zonenationspay.log";

        if (is_file($logfile)) {
            $logfilesize = $this->human_filesize(filesize($logfile));
            $this->element['label'] = Text::_('COM_ZONENATIONSPAY_LOGFILENOTE_LABEL');
            $this->element['description'] = Text::sprintf('COM_ZONENATIONSPAY_LOGFILENOTE_DESC', $logfilesize);
        } else {
            $this->element['label'] = "";
            $this->element['description'] = "";
        }

        return parent::getLabel();
    }

    protected function human_filesize($bytes, $decimals = 2)
    {
        $sz = 'BKMGTP';
        $factor = floor((strlen($bytes) - 1) / 3);
        return sprintf("%.{$decimals}f", $bytes / pow(1024, $factor)) . @$sz[$factor];
    }
}

