CREATE TABLE IF NOT EXISTS `#__zonenationspay_currencies` (
  `id` tinyint(2) unsigned NOT NULL AUTO_INCREMENT,
  `currency` char(3) DEFAULT NULL,
  `symbol` char(3) DEFAULT NULL,
  `reihe` tinyint(2) DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

INSERT INTO #__zonenationspay_currencies (`id`,`currency`,`symbol`,`reihe`) VALUES ('1','EUR','€','1') ON DUPLICATE KEY UPDATE `currency` = `currency`;
INSERT INTO #__zonenationspay_currencies (`id`,`currency`,`symbol`,`reihe`) VALUES ('2','USD','$','2') ON DUPLICATE KEY UPDATE `currency` = `currency`;
INSERT INTO #__zonenationspay_currencies (`id`,`currency`,`symbol`,`reihe`) VALUES ('3','CHF','CHF','3') ON DUPLICATE KEY UPDATE `currency` = `currency`;
INSERT INTO #__zonenationspay_currencies (`id`,`currency`,`symbol`,`reihe`) VALUES ('4','JPY','¥','4') ON DUPLICATE KEY UPDATE `currency` = `currency`;
INSERT INTO #__zonenationspay_currencies (`id`,`currency`,`symbol`,`reihe`) VALUES ('5','AUD','$','5') ON DUPLICATE KEY UPDATE `currency` = `currency`;
INSERT INTO #__zonenationspay_currencies (`id`,`currency`,`symbol`,`reihe`) VALUES ('6','GBP','£','6') ON DUPLICATE KEY UPDATE `currency` = `currency`;

CREATE TABLE IF NOT EXISTS `#__zonenationspay_payoutrequests` (
  `id` int(5) unsigned NOT NULL AUTO_INCREMENT,
  `joomlaid` int(11) unsigned NOT NULL,
  `opensimid` char(36) NOT NULL,
  `amount_iwc` int(7) unsigned NOT NULL,
  `amount_rlc` decimal(15,2) NOT NULL,
  `currency_rlc` char(3) DEFAULT NULL,
  `xchangerate` int(5) unsigned NOT NULL,
  `transactionfee` decimal(10,2) DEFAULT NULL,
  `transactionfeetype` varchar(20) DEFAULT NULL,
  `paypalaccount` varchar(255) DEFAULT NULL,
  `requesttime` datetime DEFAULT NULL,
  `requestip` varchar(45) DEFAULT NULL,
  `lastchange` datetime DEFAULT NULL,
  `remarks` text,
  `status` tinyint(1) DEFAULT NULL,
  `transferred` tinyint(1) unsigned NOT NULL DEFAULT '0',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

CREATE TABLE IF NOT EXISTS `#__zonenationspay_transactions` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `txn_id` varchar(255) DEFAULT NULL,
  `verify_sign` varchar(150) DEFAULT NULL,
  `payer_email` varchar(255) DEFAULT NULL,
  `payer_id` varchar(150) DEFAULT NULL,
  `payer_firstname` varchar(255) DEFAULT NULL,
  `payer_lastname` varchar(255) DEFAULT NULL,
  `payment_status` varchar(100) DEFAULT NULL,
  `payment_type` varchar(100) DEFAULT NULL,
  `currencyname` char(3) DEFAULT NULL,
  `item_name` varchar(100) DEFAULT NULL,
  `mc_fee` decimal(15,2) DEFAULT NULL,
  `opensimid` varchar(36) DEFAULT NULL,
  `joomlaid` int(3) unsigned DEFAULT NULL,
  `amount_rlc` decimal(15,2) DEFAULT NULL,
  `amount_iwc` int(7) DEFAULT NULL,
  `iwbalance` int(7) DEFAULT NULL,
  `fee` varchar(50) DEFAULT NULL,
  `feetype` varchar(50) DEFAULT NULL,
  `transactiontime` datetime DEFAULT NULL,
  `mode` varchar(15) DEFAULT NULL,
  `paypaldebug` text,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

CREATE TABLE IF NOT EXISTS `#__zonenationspay_regions` (
    `id` int(11) NOT NULL AUTO_INCREMENT,
    `region_name` varchar(255) NOT NULL,
    `rental_price` decimal(10,2) NOT NULL,
    PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

CREATE TABLE IF NOT EXISTS `#__zonenationspay_transactions` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `user_id` int(11) NOT NULL,
  `amount` decimal(10,2) NOT NULL,
  `currency` varchar(3) NOT NULL,
  `status` varchar(20) NOT NULL,
  `transaction_date` datetime NOT NULL,
  `transaction_type` varchar(20) NOT NULL,
  `gateway` varchar(50) NOT NULL,
  `details` text,
  PRIMARY KEY (`id`),
  KEY `idx_user_id` (`user_id`),
  KEY `idx_transaction_date` (`transaction_date`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 DEFAULT COLLATE=utf8mb4_unicode_ci;

CREATE TABLE IF NOT EXISTS `#__zonenationspay_regionrents` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `user_id` int(11) NOT NULL,
  `region_name` varchar(255) NOT NULL,
  `amount` decimal(10,2) NOT NULL,
  `currency` varchar(3) NOT NULL,
  `start_date` date NOT NULL,
  `end_date` date NOT NULL,
  `status` varchar(20) NOT NULL,
  PRIMARY KEY (`id`),
  KEY `idx_user_id` (`user_id`),
  KEY `idx_end_date` (`end_date`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 DEFAULT COLLATE=utf8mb4_unicode_ci;

CREATE TABLE IF NOT EXISTS `#__zonenationspay_server_rentals` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `user_id` int(11) NOT NULL,
  `server_name` varchar(255) NOT NULL,
  `server_type` varchar(50) NOT NULL,
  `amount` decimal(10,2) NOT NULL,
  `currency` varchar(3) NOT NULL,
  `start_date` date NOT NULL,
  `end_date` date NOT NULL,
  `status` varchar(20) NOT NULL,
  `details` text,
  PRIMARY KEY (`id`),
  KEY `idx_user_id` (`user_id`),
  KEY `idx_end_date` (`end_date`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 DEFAULT COLLATE=utf8mb4_unicode_ci;

CREATE TABLE IF NOT EXISTS `#__zonenationspay_subscriptions` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `user_id` int(11) NOT NULL,
  `plan_id` int(11) NOT NULL,
  `start_date` date NOT NULL,
  `end_date` date NOT NULL,
  `status` varchar(20) NOT NULL,
  `gateway` varchar(50) NOT NULL,
  `details` text,
  PRIMARY KEY (`id`),
  KEY `idx_user_id` (`user_id`),
  KEY `idx_end_date` (`end_date`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 DEFAULT COLLATE=utf8mb4_unicode_ci;

CREATE TABLE IF NOT EXISTS `#__zonenationspay_subscription_plans` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `name` varchar(255) NOT NULL,
  `description` text,
  `amount` decimal(10,2) NOT NULL,
  `currency` varchar(3) NOT NULL,
  `duration` int(11) NOT NULL,
  `duration_unit` varchar(10) NOT NULL,
  `status` varchar(20) NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 DEFAULT COLLATE=utf8mb4_unicode_ci;

CREATE TABLE IF NOT EXISTS `#__zonenationspay_user_balances` (
  `user_id` int(11) NOT NULL,
  `balance` decimal(10,2) NOT NULL DEFAULT '0.00',
  `currency` varchar(3) NOT NULL,
  `last_updated` datetime NOT NULL,
  PRIMARY KEY (`user_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 DEFAULT COLLATE=utf8mb4_unicode_ci;

CREATE TABLE IF NOT EXISTS `#__zonenationspay_btcpay_invoices` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `agentid` varchar(36) NOT NULL,
  `invoiceid` varchar(255) NOT NULL,
  `status` varchar(50) NOT NULL,
  `amount` decimal(15,2) NOT NULL,
  `created_date` datetime NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 DEFAULT COLLATE=utf8mb4_unicode_ci;

CREATE TABLE IF NOT EXISTS `#__zonenationspay_btcpay_pullpayments` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `agentid` varchar(36) NOT NULL,
  `pullpaymentid` varchar(255) NOT NULL,
  `payoutid` varchar(255) NOT NULL,
  `status` varchar(50) NOT NULL,
  `fiat_amount` decimal(15,2) NOT NULL,
  `local_amount` decimal(15,2) NOT NULL,
  `created_date` datetime NOT NULL,
  `updated_date` datetime DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 DEFAULT COLLATE=utf8mb4_unicode_ci;

CREATE TABLE IF NOT EXISTS `#__zonenationspay_invoices` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `invoice_id` varchar(255) NOT NULL,
  `avi_key` varchar(255) NOT NULL,
  `amount` decimal(15,2) NOT NULL,
  `currency` varchar(10) NOT NULL,
  `status` varchar(50) NOT NULL,
  `created_date` datetime NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 DEFAULT COLLATE=utf8mb4_unicode_ci;

CREATE TABLE IF NOT EXISTS `#__zonenationspay_payouts` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `pull_payment_id` varchar(255) NOT NULL,
  `account_id` varchar(255) NOT NULL,
  `amount` decimal(15,2) NOT NULL,
  `status` varchar(50) NOT NULL,
  `created_date` datetime NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 DEFAULT COLLATE=utf8mb4_unicode_ci;

ALTER TABLE `#__zonenationspay_btcpay_invoices` 
ADD COLUMN `updated_date` datetime DEFAULT NULL AFTER `created_date`;

