<?php
/*
 * @component ZoneNationsPay
 * @copyright Copyright (C) 2023 Druskus ZoneNations https://zonenations.com
 * @license GNU/GPL v2 http://www.gnu.org/licenses/gpl-2.0.html
 */
defined('_JEXEC') or die('Restricted access');

use Joomla\CMS\HTML\HTMLHelper;
use Joomla\CMS\Language\Text;
use Joomla\CMS\Router\Route;
use Joomla\CMS\Form\FormHelper;

HTMLHelper::_('behavior.core');
HTMLHelper::_('behavior.chosen', 'select');
HTMLHelper::_('bootstrap.tooltip', '.hasTooltip');

FormHelper::addFieldPath(JPATH_COMPONENT . '/fields');
$daterangeselector = FormHelper::loadFieldType('daterangeselector', $this->state->get('filter.daterange'));
$daterangeOptions = $daterangeselector->getOptions(); // works only if you set your field getOptions on public!!
$payoutstatusselector = FormHelper::loadFieldType('payoutstatusselector', $this->state->get('filter.payoutstatus'));
$payoutstatusOptions = $payoutstatusselector->getOptions(); // works only if you set your field getOptions on public!!
?>
<div class="row">
    <div id="j-sidebar-container" class="col-md-2">
        <?php echo $this->sidebar; ?>
    </div>
    <div id="j-main-container" class="col-md-10">
        <h1><?php echo Text::_('COM_ZONENATIONSPAY_MENU_PAYOUT'); ?></h1>
        <form action="<?php echo Route::_('index.php?option=com_zonenationspay'); ?>" method="post" name="adminForm" id="adminForm">
            <input type='hidden' name='view' value='payout' />

            <div id="filter-bar" class="btn-toolbar">
                <div class="filter-search btn-group float-left">
                    <input type="text" name="filter_search" id="filter_search" value="<?php echo $this->escape($this->searchterms); ?>" class="form-control" placeholder="<?php echo Text::_('COM_ZONENATIONSPAY_SEARCH_TRANSACTIONS'); ?>" />
                </div>
                <div class="btn-group float-left">
                    <button type="submit" class="btn btn-primary hasTooltip" title="<?php echo HTMLHelper::tooltipText('JSEARCH_FILTER_SUBMIT'); ?>">
                        <i class="icon-search"></i>
                    </button>
                    <button type="button" class="btn btn-secondary hasTooltip" title="<?php echo HTMLHelper::tooltipText('JSEARCH_FILTER_CLEAR'); ?>" onclick="document.getElementById('filter_search').value='';this.form.submit();">
                        <i class="icon-remove"></i>
                    </button>
                </div>
                <div class="btn-group float-right d-none d-md-block">
                    <label for="filter_payoutstatus" class="visually-hidden">
                        <?php echo Text::_('COM_ZONENATIONSPAY_PAYOUT_FILTER_LABEL'); ?>
                    </label>
                    <select name="filter_payoutstatus" id="filter_payoutstatus" class="form-select" onchange="this.form.submit()">
                        <option value=""><?php echo Text::_('COM_ZONENATIONSPAY_PAYOUT_FILTER_PAYOUTSTATUS');?></option>
                        <?php echo HTMLHelper::_('select.options', $payoutstatusOptions, 'value', 'text', $this->state->get('filter.payoutstatus'));?>
                        <option value="unsolved"<?php if($this->state->get('filter.payoutstatus') == "unsolved") echo " selected='selected'"; ?>><?php echo Text::_('COM_ZONENATIONSPAY_PAYOUTSTATUS_UNSOLVED');?></option>
                    </select>
                    <select name="filter_daterange" id="filter_daterange" class="form-select" onchange="this.form.submit()">
                        <option value="999999"><?php echo Text::_('COM_ZONENATIONSPAY_PAYOUT_FILTER_DATERANGE');?></option>
                        <?php echo HTMLHelper::_('select.options', $daterangeOptions, 'value', 'text', $this->state->get('filter.daterange'));?>
                    </select>
                </div>
            </div>

            <table class="table table-striped table-hover">
                <thead><?php echo $this->loadTemplate('head');?></thead>
                <tbody><?php echo $this->loadTemplate('body');?></tbody>
                <tfoot><?php echo $this->loadTemplate('foot');?></tfoot>
            </table>

        </form>
    </div>
</div>