<?php
/*
 * @component ZoneNationsPay
 * @copyright Copyright (C) 2023 Druskus ZoneNations https://zonenations.com
 * @license GNU/GPL v2 http://www.gnu.org/licenses/gpl-2.0.html
 */
defined('_JEXEC') or die('Restricted access');

use Joomla\CMS\HTML\HTMLHelper;
use Joomla\CMS\Language\Text;
use Joomla\CMS\Router\Route;
use Joomla\CMS\Form\FormHelper;

HTMLHelper::_('behavior.core');
HTMLHelper::_('behavior.formvalidator');

FormHelper::addFieldPath(JPATH_COMPONENT . '/fields');
$payoutstatusselector = FormHelper::loadFieldType('payoutstatusselector', $this->item->status);
$payoutstatusOptions = $payoutstatusselector->getOptions();
?>
<h1><?php echo Text::sprintf('COM_ZONENATIONSPAY_PAYOUT_CHANGESTATUS', $this->item->opensimname); ?></h1>
<form action="<?php echo Route::_('index.php?option=com_zonenationspay'); ?>" method="post" name="adminForm" id="adminForm" target='_parent'>
    <input type='hidden' name='view' value='payout' />
    <input type='hidden' name='task' value='changepayout' />
    <input type='hidden' name='payoutid' value='<?php echo $this->item->id; ?>' />
    <table class="table">
        <tr>
            <td><?php echo Text::_('COM_ZONENATIONSPAY_PAYOUT_CURRENT'); ?>:</td>
            <td><?php echo $this->item->currentstatus; ?></td>
        </tr>
        <tr>
            <td><?php echo Text::_('COM_ZONENATIONSPAY_PAYOUT_NEW'); ?>:</td>
            <td>
                <select name='newstatus' class="form-select">
                    <?php echo HTMLHelper::_('select.options', $payoutstatusOptions, 'value', 'text', $this->item->status); ?>
                </select>
            </td>
        </tr>
        <tr>
            <td><label for="remarks" title='<?php echo Text::_('COM_ZONENATIONSPAY_PAYOUT_REMARKS_DESC'); ?>'><?php echo Text::_('COM_ZONENATIONSPAY_PAYOUT_REMARKS'); ?>:</label></td>
            <td><textarea name='remarks' id="remarks" cols='30' rows='7' class="form-control" title='<?php echo Text::_('COM_ZONENATIONSPAY_PAYOUT_REMARKS_DESC'); ?>'><?php echo $this->item->remarks; ?></textarea></td>
        </tr>
        <tr>
            <td colspan='2' class="text-end">
                <button type="submit" class="btn btn-primary"><?php echo Text::_('COM_ZONENATIONSPAY_PAYOUT_SAVE'); ?></button>
                <button type="reset" class="btn btn-secondary"><?php echo Text::_('COM_ZONENATIONSPAY_PAYOUT_RESET'); ?></button>
            </td>
        </tr>
    </table>
</form>