<?php
/* 
 * @component ZoneNationsPay
 * @copyright Copyright (C) 2023 Druskus ZoneNations https://zonenations.com
 * @license GNU/GPL v2 http://www.gnu.org/licenses/gpl-2.0.html 
 */
defined('_JEXEC') or die('Restricted access');

use Joomla\CMS\Factory;
use Joomla\CMS\Language\Text;
use Joomla\CMS\Component\ComponentHelper;
use Joomla\CMS\Router\Route;

// Inizializza il database
$db = Factory::getDbo();
$query = $db->getQuery(true);

// Recupera le impostazioni del componente
$params = ComponentHelper::getParams('com_zonenationspay');

// Seleziona i dati delle regioni
$query->select($db->quoteName(array('region_name', 'rental_price')));
$query->from($db->quoteName('#__zonenationspay_regions'));
$db->setQuery($query);
$results = $db->loadObjectList();
?>

<h1><?php echo Text::_('COM_ZONENATIONSPAY_REGIONRENT'); ?></h1>

<table class="table table-striped">
    <thead>
        <tr>
            <th><?php echo Text::_('COM_ZONENATIONSPAY_REGION_NAME'); ?></th>
            <th><?php echo Text::_('COM_ZONENATIONSPAY_RENTAL_PRICE'); ?></th>
        </tr>
    </thead>
    <tbody>
        <?php foreach ($results as $row): ?>
        <tr>
            <td><?php echo $row->region_name; ?></td>
            <td><?php echo $row->rental_price; ?></td>
        </tr>
        <?php endforeach; ?>
    </tbody>
</table>

<?php if ($this->success): ?>
    <div class="alert alert-success">
        <?php echo Text::_('COM_ZONENATIONSPAY_SUCCESS_MESSAGE'); ?>
    </div>
<?php endif; ?>

<form action="<?php echo Route::_('index.php'); ?>" method="post" name="adminForm" id="adminForm">
    <input type='hidden' name='option' value='com_zonenationspay' />
    <input type='hidden' name='view' value='zonenationspay' />
    <input type='hidden' name='task' value='' />
    <?php echo HTMLHelper::_('form.token'); ?>
</form>

