<?php
/*
 * @component ZoneNationsPay
 * @copyright Copyright (C) 2023 Druskus ZoneNations https://zonenations.com
 * @license GNU/GPL v2 http://www.gnu.org/licenses/gpl-2.0.html
 */
defined('_JEXEC') or die('Restricted access'); 

use Joomla\CMS\Language\Text;
use Joomla\CMS\Router\Route;
use Joomla\CMS\HTML\HTMLHelper;
?>

<div class="row">
    <div id="j-sidebar-container" class="col-md-2">
        <?php echo $this->sidebar; ?>
    </div>
    <div id="j-main-container" class="col-md-10">
        <div id="zonenationspay" class="zonenationspay-cpanel">
            <section class="content-block" role="main">
                <div class="row">
                    <div class="col-md-7">
                        <div class="card mb-3">
                            <div class="card-header">
                                <?php echo Text::_('COM_ZONENATIONSPAY_WELCOME'); ?>
                            </div>
                            <div class="card-body">
                                <div id="cpanel">
                                    <div class="btn-group" id="ZoneNationsPayQuickIcons">
                                        <?php if (is_array($this->adminbuttons) && count($this->adminbuttons) > 0) {
                                            foreach($this->adminbuttons as $button)
                                                echo "<div class='btn btn-outline-secondary m-1'>".$button."</div>\n";
                                        } ?>
                                    </div>
                                </div>
                            </div>
                        </div>

                        <div class="card mb-3">
                            <div class="card-header">
                                <?php echo Text::_('COM_ZONENATIONSPAY_TODO'); ?>
                            </div>
                            <div class="card-body">
                                <form action="<?php echo Route::_('index.php'); ?>" method="post" name="adminForm">
                                    <input type='hidden' name='option' value='com_zonenationspay' />
                                    <input type='hidden' name='view' value='zonenationspay' />
                                    <input type='hidden' name='task' value='' />
                                    <?php echo HTMLHelper::_('form.token'); ?>
                                </form>    
                                <?php if ($this->newtransactions > 0 || $this->newpayouts > 0 || (is_array($this->unsolvedpayouts) && count($this->unsolvedpayouts) > 0)): ?>
                                <ul class='list-unstyled'>
                                    <?php if ($this->newtransactions > 0): ?>
                                    <li>
                                        <a href='<?php echo Route::_('index.php?option=com_zonenationspay&view=transactions'); ?>'>
                                            <?php echo Text::sprintf('COM_ZONENATIONSPAY_NEWTRANSACTIONS',"<span class='badge bg-primary'>".$this->newtransactions."</span>"); ?>
                                        </a>
                                    </li>
                                    <?php endif; ?>
                                
                                    <?php if($this->newpayouts > 0): ?>
                                    <li>
                                        <a href='<?php echo Route::_('index.php?option=com_zonenationspay&view=payout'); ?>'>
                                            <?php echo Text::sprintf('COM_ZONENATIONSPAY_NEWPAYOUTS',"<span class='badge bg-primary'>".$this->newpayouts."</span>"); ?>
                                        </a>
                                    </li>
                                    <?php endif; ?>
                                    
                                    <?php if (is_array($this->unsolvedpayouts) && count($this->unsolvedpayouts) > 0): ?>
                                    <li>
                                        <a href='<?php echo Route::_('index.php?option=com_zonenationspay&view=payout&filter.payoutstatus=unsolved'); ?>'>
                                            <?php echo Text::_('COM_ZONENATIONSPAY_UNSOLVEDPAYOUTS'); ?>:
                                        </a>
                                    </li>
                                    <ul>
                                        <?php foreach($this->unsolvedpayouts as $unsolved): ?>
                                        <li>
                                            <a href='<?php echo Route::_('index.php?option=com_zonenationspay&view=payout&filter.payoutstatus='.$unsolved->filter); ?>'>
                                                <span class='badge bg-secondary'><?php echo $unsolved->anzahl; ?></span> <?php echo Text::_($unsolved->payoutstatus); ?>
                                            </a>
                                        </li>
                                        <?php endforeach; ?>
                                    </ul>
                                    <?php endif; ?>
                                </ul>
                                <?php else: ?>
                                <?php echo Text::_('COM_ZONENATIONSPAY_NOTHINGTODO'); ?>
                                <?php endif; ?>
                            </div>
                        </div>

                        <div class="card mb-3">
                            <div class="card-header"><?php echo Text::_('COM_ZONENATIONSPAY_GETHELP'); ?></div>
                            <div class="card-body">
                                <ul class="list-unstyled">
                                    <li><i class="icon-question"></i><a class="hasTooltip" href="http://wiki.zonenations.com/index.php/ZoneNationsPay" title="Wiki" target="_blank"><?php echo Text::_('COM_ZONENATIONSPAY_FAQ'); ?>: Wiki</a></li>
                                    <li><i class="icon-question"></i><a class="hasTooltip" href="https://www.zonenations.com/forum/index.html" title="Forum" target="_blank"><?php echo Text::_('COM_ZONENATIONSPAY_FAQ'); ?>: Forum</a></li>
                                    <li><i class="icon-question"></i><a class="hasTooltip" href="http://mantis.zonenations.com" title="Mantis" target="_blank"><?php echo Text::_('COM_ZONENATIONSPAY_FAQ'); ?>: Mantis</a></li>
                                </ul>
                            </div>
                        </div>
                    </div>

                    <div class="col-md-5">
                        <div class="card mb-3">
                            <div class="card-body text-center">
                                <img src="components/com_zonenationspay/assets/images/ZoneNationsPay.png" alt="ZoneNationsPay Logo" class="img-fluid"/>
                            </div>
                            <ul class="list-group list-group-flush">
                                <li class="list-group-item"><strong><?php echo Text::_('Version');?>:</strong> <?php echo $this->zonenationspayVersion ;?></li>
                                <li class="list-group-item"><strong><?php echo Text::_('OS');?>:</strong> Running on <?php if(PHP_INT_SIZE == 4) echo "32Bit"; elseif(PHP_INT_SIZE == 8) echo "64Bit"; else echo "unknown (".PHP_INT_SIZE.")"; ?> System</li>
                                <li class="list-group-item"><strong><?php echo Text::_('License');?>:</strong> General Public License <a href="http://www.gnu.org/licenses/gpl-2.0.html" target="_blank">GPLv2</a></li>
                                <li class="list-group-item"><strong>More Info:</strong> <a href="https://www.zonenations.com" target="_blank">www.zonenations.com</a></li>
                            </ul>
                        </div>
                    </div>
                </div>
            </section>
        </div>
    </div>
</div>
