function zonenationspayUpdate() {
    const iwCurrency = document.getElementById("zonenationspay_iwcurrencyname").value;
    const currencyRL = round2digits(document.getElementById("zonenationspay_rlcurrency").value);
    document.getElementById("zonenationspay_rlcurrency").value = currencyRL;
    let totalAmount = currencyRL;
    const exchangeRate = document.getElementById("zonenationspay_xchangerate").value;
    
    let retval1 = isNaN(currencyRL) || isNaN(exchangeRate) ? "Error" : Math.floor(currencyRL * exchangeRate);

    updateElement("ZoneNationsPayIW1", retval1);

    const hasFee = document.getElementById("zonenationspay_hasfee").value;
    if (hasFee) {
        const feeType = document.getElementById("zonenationspay_transactionfeetype").value;
        let transactionfee;
        
        if (feeType === "percent") {
            const percentVal = document.getElementById("zonenationspay_transactionfee").value;
            transactionfee = round2digits(currencyRL / 100 * percentVal);
            updateElement("ZoneNationsPayTransactionFee", transactionfee);
        } else {
            transactionfee = document.getElementById("zonenationspay_transactionfee").value;
        }
        totalAmount = (currencyRL * 1) + (transactionfee * 1);
        updateElement("ZoneNationsPayRLtotal", totalAmount);
        updateElement("ZoneNationsPayIW2", retval1);
    }
    document.getElementById("zonenationspay_amount_1").value = totalAmount;
    document.getElementById("zonenationspay_item").value = `${iwCurrency} ${retval1}`;
}

function zonenationspayUpdate2() {
    const iwCurrencyName = document.getElementById("zonenationspay_iwcurrencyname").value;
    const currentBalance = document.getElementById("currentbalance").value * 1;
    let iwCurrency = document.getElementById("zonenationspay_iwcurrency").value * 1;
    if (iwCurrency > currentBalance) {
        alert(document.getElementById("zonenationspay_balanceerrormsg").value);
        document.getElementById("zonenationspay_iwcurrency").value = currentBalance;
        iwCurrency = currentBalance;
    }
    const currencyIW = Math.floor(iwCurrency);
    document.getElementById("zonenationspay_iwcurrency").value = currencyIW;
    const exchangeRate = document.getElementById("zonenationspay_xchangerate").value;
    
    let retval1, currencyRL, finalAmount;
    if (isNaN(currencyIW) || isNaN(exchangeRate)) {
        retval1 = "Error";
    } else {
        currencyRL = round2digits(currencyIW / exchangeRate);
        finalAmount = retval1 = currencyRL;
    }

    updateElement("ZoneNationsPayRL1", retval1);
    const hasFee = document.getElementById("zonenationspay_hasfee").value;
    if (hasFee) {
        const feeType = document.getElementById("zonenationspay_transactionfeetype").value;
        let transactionfee;
        if (feeType === "percent") {
            const percentVal = document.getElementById("zonenationspay_transactionfee").value;
            transactionfee = round2digits(currencyRL / 100 * percentVal);
            updateElement("ZoneNationsPayTransactionFee", transactionfee);
        } else {
            transactionfee = document.getElementById("zonenationspay_transactionfee").value;
        }
        finalAmount = round2digits((currencyRL * 1) - (transactionfee * 1));
        updateElement("ZoneNationsPayRL2", finalAmount);
    }
    const payout = document.getElementById("zonenationspay_payoutvalue");
    if (payout) payout.value = finalAmount;
}

function round2digits(currencyval) {
    return Math.round(currencyval * 100) / 100;
}

function checkPayPalForm() {
    const payment = document.getElementById("zonenationspay_rlcurrency").value * 1;
    const minbuy = document.getElementById("zonenationspay_minbuy").value * 1;
    const maxbuy = document.getElementById("zonenationspay_maxbuy").value * 1;
    if (minbuy > 0 && minbuy > payment) {
        alert(document.getElementById("minbuymessage").value);
        return false;
    }
    if (maxbuy > 0 && maxbuy < payment) {
        alert(document.getElementById("maxbuymessage").value);
        return false;
    }
    return true;
}

function checkPayOutForm() {
    const payoutValue = document.getElementById("zonenationspay_payoutvalue").value * 1;
    if (payoutValue <= 0) {
        alert(document.getElementById("zonenationspay_negativeamounterror").value);
        return false;
    }

    const minsell = document.getElementById("zonenationspay_minsell").value * 1;
    const maxsell = document.getElementById("zonenationspay_maxsell").value * 1;

    if (payoutValue < minsell) {
        alert(document.getElementById("zonenationspay_minsellmessage").value);
        return false;
    }
    if (payoutValue > maxsell) {
        alert(document.getElementById("zonenationspay_maxsellmessage").value);
        return false;
    }

    const userpaypal = document.getElementById("zonenationspay_paypaluser").value;
    if (!validEmail(userpaypal)) {
        alert(document.getElementById("zonenationspay_paypalmessage").value);
        return false;
    }
    return true;
}

function validEmail(emailvalue) {
    const mailexp = /^.{1,}@.{3,}\..{2,4}$/;
    return mailexp.test(emailvalue);
}

function updateElement(id, value) {
    const element = document.getElementById(id);
    if (element) {
        element.innerHTML = value;
    } else {
        console.error(`Element with id '${id}' not found`);
    }
}
