<?php
defined('_JEXEC') or die;

use Joomla\CMS\MVC\Model\BaseDatabaseModel;
use Joomla\CMS\Factory;
use Joomla\CMS\Date\Date;

class ZonenationspayModelServerrental extends BaseDatabaseModel
{
    public function rentServer($userId, $serverName, $serverType, $amount, $currency, $duration)
    {
        $db = $this->getDbo();
        $query = $db->getQuery(true);

        $startDate = new Date();
        $endDate = new Date();
        $endDate->modify('+' . $duration . ' days');

        $columns = array('user_id', 'server_name', 'server_type', 'amount', 'currency', 'start_date', 'end_date', 'status');
        $values = array(
            $db->quote($userId),
            $db->quote($serverName),
            $db->quote($serverType),
            $db->quote($amount),
            $db->quote($currency),
            $db->quote($startDate->toSql()),
            $db->quote($endDate->toSql()),
            $db->quote('active')
        );

        $query
            ->insert($db->quoteName('#__zonenationspay_server_rentals'))
            ->columns($db->quoteName($columns))
            ->values(implode(',', $values));

        $db->setQuery($query);

        try {
            $db->execute();
            return $db->insertid();
        } catch (\Exception $e) {
            Factory::getApplication()->enqueueMessage($e->getMessage(), 'error');
            return false;
        }
    }

    public function getUserRentals($userId)
    {
        $db = $this->getDbo();
        $query = $db->getQuery(true);

        $query->select('*')
              ->from($db->quoteName('#__zonenationspay_server_rentals'))
              ->where($db->quoteName('user_id') . ' = ' . $db->quote($userId))
              ->order($db->quoteName('start_date') . ' DESC');

        $db->setQuery($query);

        try {
            return $db->loadObjectList();
        } catch (\Exception $e) {
            Factory::getApplication()->enqueueMessage($e->getMessage(), 'error');
            return false;
        }
    }

    public function extendRental($rentalId, $duration)
    {
        $db = $this->getDbo();
        $query = $db->getQuery(true);

        $query->update($db->quoteName('#__zonenationspay_server_rentals'))
              ->set($db->quoteName('end_date') . ' = DATE_ADD(' . $db->quoteName('end_date') . ', INTERVAL ' . $duration . ' DAY)')
              ->where($db->quoteName('id') . ' = ' . $db->quote($rentalId));

        $db->setQuery($query);

        try {
            return $db->execute();
        } catch (\Exception $e) {
            Factory::getApplication()->enqueueMessage($e->getMessage(), 'error');
            return false;
        }
    }
}
