<?php
defined('_JEXEC') or die;

use Joomla\CMS\HTML\HTMLHelper;
use Joomla\CMS\Language\Text;
use Joomla\CMS\Router\Route;
?>

<h2><?php echo Text::sprintf('COM_ZONENATIONSPAY_WITHDRAW_TO', $this->cryptoSymbol); ?></h2>
<hr>

<?php if (isset($this->account)): ?>
    <span><?php echo Text::sprintf('COM_ZONENATIONSPAY_WELCOME_BACK', $this->aviName); ?></span><br>
    <span><?php echo Text::sprintf('COM_ZONENATIONSPAY_YOUR_BALANCE', $this->balance, $this->localCurrencySymbol, $this->price['fiatAmount'], $this->fiatSymbol, $this->price['cryptoAmount'], $this->cryptoSymbol); ?></span><br>
    <span><?php echo Text::sprintf('COM_ZONENATIONSPAY_EXCHANGE_RATES', $this->localCurrencySymbol, $this->localCurrencyWithdrawalPrice, $this->fiatSymbol, $this->cryptoSymbol, $this->price['rate'], $this->fiatSymbol); ?></span>
    
    <form action="<?php echo Route::_('index.php?option=com_zonenationspay&task=btcpay.requestWithdrawal'); ?>" method="post">
        <div class="inputs">
            <table>
                <tr>
                    <td>
                        <span class="label"><?php echo Text::_('COM_ZONENATIONSPAY_SET_WITHDRAWAL_AMOUNT'); ?></span><br>
                        <input id="inputBalance" type="number" name="amount" placeholder="<?php echo $this->balance; ?>" min="<?php echo $this->localCurrencyMinimum; ?>" max="<?php echo $this->balance; ?>" required>
                    </td>
                    <td><span style="font-size:40px"> 💱 </span></td>
                    <td>
                        <span class="label"><?php echo Text::sprintf('COM_ZONENATIONSPAY_YOU_WILL_RECEIVE', $this->cryptoSymbol); ?></span><br>
                        <input id="inputFiat" type="text" readonly>
                    </td>
                </tr>
                <tr>
                    <td colspan="3">
                        <span class="label"><?php echo Text::sprintf('COM_ZONENATIONSPAY_SET_DESTINATION_ADDRESS', $this->cryptoSymbol); ?></span><br>
                        <input id="address" type="text" name="address" placeholder="<?php echo Text::sprintf('COM_ZONENATIONSPAY_YOUR_ADDRESS', $this->cryptoSymbol); ?>" style="width:100%;" required>
                    </td>
                </tr>
            </table>
            
            <?php echo HTMLHelper::_('form.token'); ?>
            <input type="hidden" name="account" value="<?php echo $this->account; ?>">
            <input type="hidden" name="securityHash" value="<?php echo $this->securityHash; ?>">
            <input type="hidden" name="avatarSecureId" value="<?php echo $this->avatarSecureId; ?>">
            <input type="hidden" name="avatarSession" value="<?php echo $this->avatarSession; ?>">
            
            <button type="submit" class="button btn-green"><?php echo Text::_('COM_ZONENATIONSPAY_REQUEST_WITHDRAWAL'); ?></button>
        </div>
    </form>

    <script>
    document.getElementById('inputBalance').addEventListener('input', function() {
        var amount = this.value;
        var fiatAmount = (amount * <?php echo $this->localCurrencyWithdrawalPrice; ?>).toFixed(2);
        document.getElementById('inputFiat').value = fiatAmount + ' <?php echo $this->fiatSymbol; ?>';
    });
    </script>

<?php else: ?>
    <form action="<?php echo Route::_('index.php?option=com_zonenationspay&task=btcpay.sendWithdrawalLink'); ?>" method="post">
        <span><?php echo Text::_('COM_ZONENATIONSPAY_SET_AVATAR_KEY'); ?></span><br>
        <span class="sub-warning"><?php echo Text::_('COM_ZONENATIONSPAY_AVATAR_ONLINE_WARNING'); ?></span>
        <div style="text-align: center;margin-bottom: 30px;">
            <input id="aviKey" type="text" name="aviKey" placeholder="<?php echo Text::_('COM_ZONENATIONSPAY_ENTER_AVATAR_KEY'); ?>" style="width:100%;text-align:center;margin:10px 0;" required>
            <br>
            <?php echo HTMLHelper::_('form.token'); ?>
            <button type="submit" class="button btn-red"><?php echo Text::_('COM_ZONENATIONSPAY_SEND_WITHDRAWAL_LINK'); ?></button>
        </div>
    </form>
<?php endif; ?>
