<?php
/**
 * @component ZoneNationsPay
 * @copyright Copyright (C) 2023 Druskus ZoneNations https://www.zonenations.com
 * @license GNU/GPL v2 http://www.gnu.org/licenses/gpl-2.0.html
 */

defined('_JEXEC') or die('Restricted access');

use Joomla\CMS\Language\Text;
use Joomla\CMS\HTML\HTMLHelper;
use Joomla\CMS\Router\Route;

HTMLHelper::_('behavior.keepalive');
HTMLHelper::_('behavior.formvalidator');
HTMLHelper::_('jquery.framework');
HTMLHelper::_('script', 'com_zonenationspay/payout.js', ['version' => 'auto', 'relative' => true]);
HTMLHelper::_('stylesheet', 'com_zonenationspay/payout.css', ['version' => 'auto', 'relative' => true]);

$inWorldCurrencyName = $this->params->get('inworld_currency_name', 'IWC');
?>

<div class="zonenationspay-payout<?php echo $this->pageclass_sfx; ?>">
    <h1><?php echo Text::_('COM_ZONENATIONSPAY_SELL_IWC'); ?></h1>

    <?php echo $this->pretext; ?>

    <form action="<?php echo Route::_('index.php?option=com_zonenationspay&view=payout'); ?>" method="post" name="payoutForm" id="payoutForm" class="form-validate" onsubmit="return checkPayOutForm();">
        
        <?php echo HTMLHelper::_('form.token'); ?>

        <input type="hidden" name="minsellmessage" id="zonenationspay_minsellmessage" value="<?php echo Text::sprintf('COM_ZONENATIONSPAY_MINSELLERROR', $this->cparams['currency'], $this->cparams['minsell']); ?>" />
        <input type="hidden" name="maxsellmessage" id="zonenationspay_maxsellmessage" value="<?php echo Text::sprintf('COM_ZONENATIONSPAY_MAXSELLERROR', $this->cparams['currency'], $this->cparams['maxsell']); ?>" />
        <input type="hidden" name="balanceerrormsg" id="zonenationspay_balanceerrormsg" value="<?php echo Text::sprintf('COM_ZONENATIONSPAY_BALANCE_SELLERROR', $inWorldCurrencyName); ?>" />
        <input type="hidden" name="paypalmessage" id="zonenationspay_paypalmessage" value="<?php echo Text::_('COM_ZONENATIONSPAY_PAYPALERROR'); ?>" />
        <input type="hidden" name="negativeamounterror" id="zonenationspay_negativeamounterror" value="<?php echo Text::sprintf('COM_ZONENATIONSPAY_ERROR_NEGATIVE', $inWorldCurrencyName); ?>" />
        
        <input type="hidden" name="currentbalance" id="currentbalance" value="<?php echo $this->balance; ?>" />
        <input type="hidden" name="xchangerate" id="zonenationspay_xchangerate" value="<?php echo $this->cparams['currencyratesell']; ?>" />
        <input type="hidden" name="iwcurrencyname" id="zonenationspay_iwcurrencyname" value="<?php echo $inWorldCurrencyName; ?>" />
        <input type="hidden" name="currency_code" value="<?php echo $this->cparams['currency']; ?>" />
        <input type="hidden" name="hasfee" id="zonenationspay_hasfee" value="<?php echo $this->cparams['hasfee']; ?>" />
        <input type="hidden" name="transactionfee" id="zonenationspay_transactionfee" value="<?php echo $this->cparams['transactionfee']; ?>" />
        <input type="hidden" name="transactionfeetype" id="zonenationspay_transactionfeetype" value="<?php echo $this->cparams['transactionfeetype']; ?>" />
        <input type="hidden" name="minsell" id="zonenationspay_minsell" value="<?php echo sprintf("%01.2f", $this->cparams['minsell']); ?>" />
        <input type="hidden" name="maxsell" id="zonenationspay_maxsell" value="<?php echo sprintf("%01.2f", $this->cparams['maxsell']); ?>" />
        <input type="hidden" name="payoutvalue" id="zonenationspay_payoutvalue" value="0" />
        <input type="hidden" name="task" value="payout" />
        <input type="hidden" name="Itemid" value="<?php echo $this->itemid; ?>" />
        <input type="hidden" name="returnto" value="<?php echo $this->returnto; ?>" />

        <div id="ZoneNationsPay_PayPalTable" class="zonenationspay-paypal-table">
            <div class="row">
                <div class="col-md-6"><?php echo Text::_('COM_ZONENATIONSPAY_CURRENTBALANCE'); ?>:</div>
                <div class="col-md-6"><?php echo $inWorldCurrencyName . " " . $this->balance; ?></div>
            </div>
            <div class="row">
                <div class="col-md-6">
                    <?php echo Text::sprintf('COM_ZONENATIONSPAY_SELL_IWCURRENCY', $inWorldCurrencyName); ?>
                    <input type="text" name="amount" id="zonenationspay_iwcurrency" class="form-control" value="<?php echo $this->defaultvalueRL; ?>" onchange="zonenationspayUpdate();" />
                </div>
                <div class="col-md-6">
                    = <?php echo $this->cparams['currency']; ?> <span id="ZoneNationsPayRL1"><?php echo $this->defaultvalueRL; ?></span>
                </div>
            </div>
            <?php if ($this->cparams['hasfee']) : ?>
                <div class="row">
                    <div class="col-md-6">&nbsp;</div>
                    <div class="col-md-6">
                        <?php echo Text::_('COM_ZONENATIONSPAY_TRANSACTIONFEE') . " " . $this->cparams['currency']; ?> 
                        <span id="ZoneNationsPayTransactionFee"><?php echo $this->transactionfee; ?></span>
                    </div>
                </div>
                <div class="row">
                    <div class="col-md-6">&nbsp;</div>
                    <div class="col-md-6">
                        = <?php echo $this->cparams['currency']; ?> <span id="ZoneNationsPayRL2"><?php echo $this->defaultvalueIW; ?></span>
                    </div>
                </div>
            <?php endif; ?>
            <div class="row">
                <div class="col-md-6"><?php echo Text::_('COM_ZONENATIONSPAY_USERPAYPALACCOUNT'); ?>:</div>
                <div class="col-md-6">
                    <input type="text" name="paypaluser" id="zonenationspay_paypaluser" class="form-control" value="" />
                </div>
            </div>
            <div class="row">
                <div class="col-md-6">&nbsp;</div>
                <div class="col-md-6">
                    <button type="submit" class="btn btn-primary" id="submitpayout">
                        <?php echo Text::_('COM_ZONENATIONSPAY_PAYOUTSUBMIT'); ?>
                    </button>
                </div>
            </div>
        </div>
    </form>

    <?php echo $this->posttext; ?>

    <?php if (!empty($this->regionRentInfo)) : ?>
        <div class="zonenationspay-regionrent-info">
            <h2><?php echo Text::_('COM_ZONENATIONSPAY_REGIONRENT_INFO'); ?></h2>
            <table class="table table-striped">
                <thead>
                    <tr>
                        <th><?php echo Text::_('COM_ZONENATIONSPAY_REGIONRENT_REGION'); ?></th>
                        <th><?php echo Text::_('COM_ZONENATIONSPAY_REGIONRENT_EXPIRATION'); ?></th>
                        <th><?php echo Text::_('COM_ZONENATIONSPAY_REGIONRENT_AMOUNT'); ?></th>
                    </tr>
                </thead>
                <tbody>
                    <?php foreach ($this->regionRentInfo as $region) : ?>
                        <tr>
                            <td><?php echo $region->region_name; ?></td>
                            <td><?php echo HTMLHelper::_('date', $region->expiration_date, Text::_('DATE_FORMAT_LC4')); ?></td>
                            <td><?php echo $region->rent_amount . ' ' . $inWorldCurrencyName; ?></td>
                        </tr>
                    <?php endforeach; ?>
                </tbody>
            </table>
        </div>
    <?php endif; ?>
</div>
