<?php
/**
 * @component ZoneNationsPay
 * @copyright Copyright (C) 2023 Druskus ZoneNations https://www.zonenations.com
 * @license GNU/GPL v2 http://www.gnu.org/licenses/gpl-2.0.html
 */

defined('_JEXEC') or die('Restricted access');

use Joomla\CMS\Language\Text;
use Joomla\CMS\Router\Route;
use Joomla\CMS\HTML\HTMLHelper;

HTMLHelper::_('behavior.core');
HTMLHelper::_('stylesheet', 'com_zonenationspay/zonenationspay.css', ['version' => 'auto', 'relative' => true]);
?>

<div class="zonenationspay-needrelation<?php echo $this->pageclass_sfx; ?>">
    <?php if ($this->params->get('show_page_heading')) : ?>
        <div class="page-header">
            <h1><?php echo $this->escape($this->params->get('page_heading')); ?></h1>
        </div>
    <?php endif; ?>

    <h2><?php echo Text::_('COM_ZONENATIONSPAY_BUY_IWC'); ?></h2>
    
    <div class="alert alert-info">
        <ul class="zonenationspay-instructions">
            <li><?php echo $this->createlink; ?></li>
            <li><?php echo Text::_('COM_ZONENATIONSPAY_ERROR_NEEDRELATION_Q2'); ?></li>
        </ul>
    </div>

    <?php if ($this->params->get('show_avatar_info', 1)) : ?>
        <div class="zonenationspay-avatar-info mt-4">
            <h3><?php echo Text::_('COM_ZONENATIONSPAY_AVATAR_INFO'); ?></h3>
            <p><?php echo Text::_('COM_ZONENATIONSPAY_AVATAR_INFO_DESC'); ?></p>
            <?php if (!empty($this->avatar_name)) : ?>
                <p><?php echo Text::sprintf('COM_ZONENATIONSPAY_CURRENT_AVATAR', $this->avatar_name); ?></p>
            <?php endif; ?>
        </div>
    <?php endif; ?>

    <?php if ($this->params->get('show_help_link', 1)) : ?>
        <div class="zonenationspay-help-link mt-4">
            <a href="<?php echo Route::_('index.php?option=com_content&view=article&id=' . $this->params->get('help_article_id')); ?>" class="btn btn-info">
                <?php echo Text::_('COM_ZONENATIONSPAY_NEED_HELP'); ?>
            </a>
        </div>
    <?php endif; ?>

    <?php if ($this->params->get('show_return_link', 1)) : ?>
        <div class="zonenationspay-return-link mt-4">
            <a href="<?php echo $this->return_link; ?>" class="btn btn-secondary">
                <span class="icon-chevron-left" aria-hidden="true"></span>
                <?php echo Text::_('COM_ZONENATIONSPAY_RETURN_TO_PROFILE'); ?>
            </a>
        </div>
    <?php endif; ?>
</div>

