<?php
defined('_JEXEC') or die;

use Joomla\CMS\Language\Text;
use Joomla\CMS\HTML\HTMLHelper;
?>

<div class="zonenationspay-regionrent">
    <h1><?php echo Text::_('COM_ZONENATIONSPAY_REGIONRENT_TITLE'); ?></h1>

    <?php if (!empty($this->upcomingRents)) : ?>
        <h2><?php echo Text::_('COM_ZONENATIONSPAY_UPCOMING_RENTS'); ?></h2>
        <table class="table table-striped">
            <thead>
                <tr>
                    <th><?php echo Text::_('COM_ZONENATIONSPAY_REGION_NAME'); ?></th>
                    <th><?php echo Text::_('COM_ZONENATIONSPAY_DUE_DATE'); ?></th>
                    <th><?php echo Text::_('COM_ZONENATIONSPAY_AMOUNT'); ?></th>
                </tr>
            </thead>
            <tbody>
                <?php foreach ($this->upcomingRents as $rent) : ?>
                    <tr>
                        <td><?php echo $this->escape($rent->region_name); ?></td>
                        <td><?php echo HTMLHelper::_('date', $rent->due_date, Text::_('DATE_FORMAT_LC4')); ?></td>
                        <td><?php echo HTMLHelper::_('number.format', $rent->amount); ?></td>
                    </tr>
                <?php endforeach; ?>
            </tbody>
        </table>
    <?php endif; ?>

    <?php if (!empty($this->overdueRents)) : ?>
        <h2><?php echo Text::_('COM_ZONENATIONSPAY_OVERDUE_RENTS'); ?></h2>
        <table class="table table-striped table-warning">
            <thead>
                <tr>
                    <th><?php echo Text::_('COM_ZONENATIONSPAY_REGION_NAME'); ?></th>
                    <th><?php echo Text::_('COM_ZONENATIONSPAY_DUE_DATE'); ?></th>
                    <th><?php echo Text::_('COM_ZONENATIONSPAY_AMOUNT'); ?></th>
                    <th><?php echo Text::_('COM_ZONENATIONSPAY_ACTIONS'); ?></th>
                </tr>
            </thead>
            <tbody>
                <?php foreach ($this->overdueRents as $rent) : ?>
                    <tr>
                        <td><?php echo $this->escape($rent->region_name); ?></td>
                        <td><?php echo HTMLHelper::_('date', $rent->due_date, Text::_('DATE_FORMAT_LC4')); ?></td>
                        <td><?php echo HTMLHelper::_('number.format', $rent->amount); ?></td>
                        <td>
                            <a href="<?php echo JRoute::_('index.php?option=com_zonenationspay&task=regionrent.pay&id=' . $rent->id); ?>" class="btn btn-primary">
                                <?php echo Text::_('COM_ZONENATIONSPAY_PAY_NOW'); ?>
                            </a>
                        </td>
                    </tr>
                <?php endforeach; ?>
            </tbody>
        </table>
    <?php endif; ?>
</div>
