<?php
defined('_JEXEC') or die;

use Joomla\CMS\Language\Text;
use Joomla\CMS\HTML\HTMLHelper;

HTMLHelper::_('behavior.keepalive');
HTMLHelper::_('behavior.formvalidator');
?>

<div class="zonenationspay-server-rental<?php echo $this->pageclass_sfx; ?>">
    <h1><?php echo Text::_('COM_ZONENATIONSPAY_SERVER_RENTAL'); ?></h1>

    <form action="<?php echo JRoute::_('index.php?option=com_zonenationspay&view=serverrental'); ?>" method="post" name="adminForm" id="adminForm" class="form-validate">
        <?php echo $this->form->renderField('server_name'); ?>
        <?php echo $this->form->renderField('server_type'); ?>
        <?php echo $this->form->renderField('duration'); ?>

        <div class="control-group">
            <div class="controls">
                <button type="submit" class="btn btn-primary validate">
                    <?php echo Text::_('COM_ZONENATIONSPAY_RENT_SERVER'); ?>
                </button>
                <a class="btn" href="<?php echo JRoute::_('index.php?option=com_zonenationspay'); ?>" title="<?php echo Text::_('JCANCEL'); ?>">
                    <?php echo Text::_('JCANCEL'); ?>
                </a>
            </div>
        </div>

        <input type="hidden" name="task" value="serverrental.rent" />
        <?php echo HTMLHelper::_('form.token'); ?>
    </form>

    <?php if (!empty($this->userRentals)) : ?>
        <h2><?php echo Text::_('COM_ZONENATIONSPAY_YOUR_SERVER_RENTALS'); ?></h2>
        <table class="table table-striped">
            <thead>
                <tr>
                    <th><?php echo Text::_('COM_ZONENATIONSPAY_SERVER_NAME'); ?></th>
                    <th><?php echo Text::_('COM_ZONENATIONSPAY_SERVER_TYPE'); ?></th>
                    <th><?php echo Text::_('COM_ZONENATIONSPAY_START_DATE'); ?></th>
                    <th><?php echo Text::_('COM_ZONENATIONSPAY_END_DATE'); ?></th>
                    <th><?php echo Text::_('COM_ZONENATIONSPAY_STATUS'); ?></th>
                </tr>
            </thead>
            <tbody>
                <?php foreach ($this->userRentals as $rental) : ?>
                    <tr>
                        <td><?php echo $rental->server_name; ?></td>
                        <td><?php echo $rental->server_type; ?></td>
                        <td><?php echo HTMLHelper::_('date', $rental->start_date, Text::_('DATE_FORMAT_LC4')); ?></td>
                        <td><?php echo HTMLHelper::_('date', $rental->end_date, Text::_('DATE_FORMAT_LC4')); ?></td>
                        <td><?php echo $rental->status; ?></td>
                    </tr>
                <?php endforeach; ?>
            </tbody>
        </table>
    <?php endif; ?>
</div>
