<?php
defined('_JEXEC') or die;

use Joomla\CMS\HTML\HTMLHelper;
use Joomla\CMS\Language\Text;
use Joomla\CMS\Uri\Uri;

HTMLHelper::_('script', 'https://js.stripe.com/v3/');
HTMLHelper::_('script', 'com_zonenationspay/stripe-payment.js', ['version' => 'auto', 'relative' => true]);
HTMLHelper::_('stylesheet', 'com_zonenationspay/stripe-payment.css', ['version' => 'auto', 'relative' => true]);

$params = JComponentHelper::getParams('com_zonenationspay');
$stripePublishableKey = $params->get('stripe_live_mode') ? $params->get('stripe_live_publishable_key') : $params->get('stripe_test_publishable_key');
?>

<div class="zonenationspay-payment">
    <h2><?php echo Text::_('COM_ZONENATIONSPAY_PAYMENT_FORM'); ?></h2>
    <form id="payment-form">
        <div id="card-element">
            <!-- A Stripe Element will be inserted here. -->
        </div>

        <!-- Used to display form errors. -->
        <div id="card-errors" role="alert"></div>

        <button id="submit-button"><?php echo Text::_('COM_ZONENATIONSPAY_SUBMIT_PAYMENT'); ?></button>
    </form>
</div>

<script>
    var stripePublishableKey = '<?php echo $stripePublishableKey; ?>';
    var amount = <?php echo $this->amount; ?>;
    var currency = '<?php echo $this->currency; ?>';
    var description = '<?php echo $this->description; ?>';
    var returnUrl = '<?php echo Uri::base() . 'index.php?option=com_zonenationspay&task=payment.complete'; ?>';
</script>
